A Slack specific representation of an integration mapping object.
Attributes and example
Property
Type
Required
Description
id
string
Yes
A unique identifier of a folder mapping (part of a composite key together with integration_type).
type
enum<string>
Yes
Mapping type. Available options: integration_mapping.
integration_type
enum<string>
No
Identifies the Box partner app, with which the mapping is associated. Currently only supports Slack. (part of the composite key together with id). Available options: slack.
is_manually_created
boolean
No
Identifies whether the mapping has been manually set (as opposed to being automatically created).
A Microsoft Teams specific representation of an integration mapping object.
Attributes and example
Property
Type
Required
Description
id
string
Yes
A unique identifier of a folder mapping (part of a composite key together with integration_type).
type
enum<string>
Yes
Mapping type. Available options: integration_mapping.
integration_type
enum<string>
No
Identifies the Box partner app, with which the mapping is associated. Supports Slack and Teams. (part of the composite key together with id). Available options: teams.
is_overridden_by_manual_mapping
boolean
No
Identifies whether the mapping has been manually set by the team owner from UI for channels (as opposed to being automatically created).
partner_item
Integration mapping mapped item schema for type Teams
Yes
Mapped item object for Teams.
box_item
Folder reference
Yes
The Box folder, to which the object from the partner app domain (referenced in partner_item_id) is mapped.
created_at
string
No
When the integration mapping object was created.
modified_at
string
No
When the integration mapping object was last modified.
The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_marker
string
No
The marker for the start of the next page of results. Can be null.